org.apache.ignite.internal.processors.streamer

## Class StreamerStageMBeanAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.streamer.StreamerStageMBeanAdapter

All Implemented Interfaces:
  StreamerStageMBean

    public class StreamerStageMBeanAdapter
    extends Object
    implements StreamerStageMBean

Streamer stage MBean adapter.

### Constructor Summary

Constructors
Constructor and Description
`StreamerStageMBeanAdapter(String stageName, String stageClsName, IgniteStreamerImpl streamer)`

### Method Summary

Methods
`long` `getAverageExecutionTime()` Gets stage average execution time.
`long` `getAverageWaitingTime()` Stage average waiting time.
`int` `getFailuresCount()` Gets stage failure count.
`long` `getMaximumExecutionTime()` Gets stage maximum execution time.
`long` `getMaximumWaitingTime()` Gets stage maximum waiting time.
`long` `getMinimumExecutionTime()` Gets stage minimum execution time.
`long` `getMinimumWaitingTime()` Gets stage minimum waiting time.
`String` `getName()` Gets stage name.
`String` `getStageClassName()` Gets stage class name.
`long` `getTotalExecutionCount()` Gets total stage execution count since last reset.
`boolean` `isExecuting()` Gets flag indicating if stage is being currently executed by at least one thread on current node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamerStageMBeanAdapter

    public StreamerStageMBeanAdapter(String stageName,
                             String stageClsName,
                             IgniteStreamerImpl streamer)

Parameters:
  `stageName` - Stage name.
  `stageClsName` - Stage class name.
  `streamer` - Streamer implementation.

### Method Detail

#### getName

    public String getName()

Gets stage name.

Specified by:
  `getName` in interface `StreamerStageMBean`
Returns:
  Stage name.

#### getStageClassName

    public String getStageClassName()

Gets stage class name.

Specified by:
  `getStageClassName` in interface `StreamerStageMBean`
Returns:
  Stage class name.

#### getMinimumExecutionTime

    public long getMinimumExecutionTime()

Gets stage minimum execution time.

Specified by:
  `getMinimumExecutionTime` in interface `StreamerStageMBean`
Returns:
  Stage minimum execution time.

#### getMaximumExecutionTime

    public long getMaximumExecutionTime()

Gets stage maximum execution time.

Specified by:
  `getMaximumExecutionTime` in interface `StreamerStageMBean`
Returns:
  Stage maximum execution time.

#### getAverageExecutionTime

    public long getAverageExecutionTime()

Gets stage average execution time.

Specified by:
  `getAverageExecutionTime` in interface `StreamerStageMBean`
Returns:
  Stage average execution time.

#### getMinimumWaitingTime

    public long getMinimumWaitingTime()

Gets stage minimum waiting time.

Specified by:
  `getMinimumWaitingTime` in interface `StreamerStageMBean`
Returns:
  Stage minimum waiting time.

#### getMaximumWaitingTime

    public long getMaximumWaitingTime()

Gets stage maximum waiting time.

Specified by:
  `getMaximumWaitingTime` in interface `StreamerStageMBean`
Returns:
  Stage maximum waiting time.

#### getAverageWaitingTime

    public long getAverageWaitingTime()

Stage average waiting time.

Specified by:
  `getAverageWaitingTime` in interface `StreamerStageMBean`
Returns:
  Stage average waiting time.

#### getTotalExecutionCount

    public long getTotalExecutionCount()

Gets total stage execution count since last reset.

Specified by:
  `getTotalExecutionCount` in interface `StreamerStageMBean`
Returns:
  Number of times this stage was executed.

#### getFailuresCount

    public int getFailuresCount()

Gets stage failure count.

Specified by:
  `getFailuresCount` in interface `StreamerStageMBean`
Returns:
  Stage failure count.

#### isExecuting

    public boolean isExecuting()

Gets flag indicating if stage is being currently executed by at least one thread on current node.

Specified by:
  `isExecuting` in interface `StreamerStageMBean`
Returns:
  `True` if stage is executing now.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015